Рекомендация Debian по безопасности

DSA-553-1 getmail -- уязвимость символической ссылки

Дата сообщения:
27.09.2004
Затронутые пакеты:
getmail
Уязвим:
Да
Ссылки на базы данных по безопасности:
В системе отслеживания ошибок Debian: Ошибка 272561.
В каталоге Mitre CVE: CVE-2004-0880, CVE-2004-0881.
Более подробная информация:

Обнаружена проблема, связанная с безопасностью, в getmail, утилите сборки и пересылки почты по протоколам POP3 и APOP. Нападающий, имеющий учётную запись с оболочкой на машине жертвы, может использовать getmail для перезаписи произвольных файлов при запуске getmail от имени суперпользователя.

В стабильном дистрибутиве (woody) эта проблема исправлена в версии 2.3.7-2.

В нестабильном дистрибутиве (sid) эта проблема исправлена в версии 3.2.5-1.

Мы рекомендуем вам обновить пакет getmail.

Исправлено в:

Debian GNU/Linux 3.0 (woody)

Исходный код:
http://security.debian.org/pool/updates/main/g/getmail/getmail_2.3.7-2.dsc
http://security.debian.org/pool/updates/main/g/getmail/getmail_2.3.7-2.diff.gz
http://security.debian.org/pool/updates/main/g/getmail/getmail_2.3.7.orig.tar.gz
Независимые от архитектуры компоненты:
http://security.debian.org/pool/updates/main/g/getmail/getmail_2.3.7-2_all.deb

Контрольные суммы MD5 этих файлов доступны в исходном сообщении.